<?php

// cb.core.php

	function _avatarLivePath( &$field, &$user, $thumbnail = true, $show_avatar = 2 ) {
		global $_CB_framework;

		$oValue							=	null;
		$col							=	$field->name;
		$colapproved					=	$col . 'approved';
		if ( $user && $user->id ) {
			$avatar						=	$user->$col;
			$avatarapproved				=	$user->$colapproved;
			$live_site					=	$_CB_framework->getCfg( 'live_site' );
			$absolute_path				=	$_CB_framework->getCfg( 'absolute_path' );
			$tn							=	$thumbnail ? 'tn' : '';
			$gender   					= 	$user->cb_gender;

			$oValue						=	null;
			if ( ( $avatar != '' ) && ( $avatarapproved > 0 ) ) {
				if ( strpos( $avatar, 'gallery/' ) === false ) {
					$oValue				=	'images/comprofiler/' . $tn . $avatar;
				} else {
					$oValue				=	'images/comprofiler/' . $avatar;
				}
				if ( ! is_file( $absolute_path . '/' . $oValue ) ) {
					$oValue				=	null;
				}
			}
			if ( ( $oValue === null ) && ( $show_avatar == 2 ) ) {
				if ( $avatarapproved == 0 ) {
					if ($gender == 'Male') {
						$icon = 'pending_m.png';
					} elseif ($gender == 'Female'){
						$icon = 'pending_f.png';
					} else {
						$icon = 'pending_n.png';
					}
				} else {
					if ($gender == 'Male') {
						$icon = 'nophoto_m.png';
					} elseif ($gender == 'Female'){
						$icon = 'nophoto_f.png';
					} else {
						$icon = 'nophoto_n.png';
					}
				}
				return selectTemplate() . 'images/avatar/' . $tn . $icon;
			}
		}
		if ( $oValue ) {
			$oValue						=	$live_site . '/' . $oValue;
		}
		return $oValue;
	}


// plugin.foundation.php

	function avatarFilePath( $show_avatar = 2 ) {
		global $_CB_framework;

		$oValue				=	null;
		if ( $this->_cbuser ) {
			if ( $this->_cbuser->id ) {
				$avatar			=	$this->_cbuser->avatar;
				$avatarapproved	=	$this->_cbuser->avatarapproved;

				$absolute_path	=	$_CB_framework->getCfg( 'absolute_path' );
				$live_site		=	$_CB_framework->getCfg( 'live_site' );
				$gender 		= 	$this->_cbuser->cb_gender;
				if ( $avatarapproved == 0 ) {
					if ($gender == 'Male') {
						return selectTemplate() . 'images/avatar/tnpending_m.png';
					} elseif ($gender == 'Female') {
						return selectTemplate() . 'images/avatar/tnpending_f.png';
					} else {
						return selectTemplate() . 'images/avatar/tnpending_n.png';
					}
				} elseif ( ( $avatar == '' ) && $avatarapproved == 1 ) {
					$oValue		=	null;
				} elseif ( strpos( $avatar, 'gallery/' ) === false ) {
					$oValue		=	'images/comprofiler/tn' . $avatar;
				} else {
					$oValue		=	'images/comprofiler/' . $avatar;
				}
				if ( ! is_file( $absolute_path . '/' . $oValue ) ) {
					$oValue		=	null;
				}
			}
			if ( ( ! $oValue ) && ( $show_avatar == 2 ) ) {
				if ($gender == 'Male') {
					return selectTemplate() . 'images/avatar/tnnophoto_m.png';
				} elseif ($gender == 'Female') {
					return selectTemplate() . 'images/avatar/tnnophoto_f.png';
				} else {
					return selectTemplate() . 'images/avatar/tnnophoto_n.png';
				}
			}
		}
		if ( $oValue ) {
			$oValue			=	$live_site . '/' . $oValue;
		}
		return $oValue;
	}

?>